# Uses of Class
org.apache.lucene.codecs.compressing.Compressor

Packages that use Compressor
Package
Description
org.apache.lucene.codecs.compressing
Compressing helper classes.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.

## Uses of Compressor in org.apache.lucene.codecs.compressing

Methods in org.apache.lucene.codecs.compressing that return Compressor
Modifier and Type
Method
Description
`abstract Compressor`
CompressionMode.`newCompressor()`
Create a new `Compressor` instance.

## Uses of Compressor in org.apache.lucene.codecs.lucene90

Methods in org.apache.lucene.codecs.lucene90 that return Compressor
Modifier and Type
Method
Description
`Compressor`
DeflateWithPresetDictCompressionMode.`newCompressor()`
`Compressor`
LZ4WithPresetDictCompressionMode.`newCompressor()`